=== debian/control ===
--- 
+++ 
@@ -1,40 +1,40 @@
 Source: libksieve
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkdepim-dev (>= 4:25.12.1~),
-               libkf6archive-dev (>= 6.18.0~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6doctools-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6iconthemes-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6newstuff-dev (>= 6.18.0~),
-               libkf6sonnet-dev (>= 6.18.0~),
-               libkf6syntaxhighlighting-dev (>= 6.18.0~),
-               libkidentitymanagement-dev (>= 25.12.1~),
-               libkimap-dev (>= 25.12.1~),
-               libkmailtransport-dev (>= 25.12.1~),
-               libkmime-dev (>= 25.12.1~),
-               libktextaddons-dev (>= 1.8.0~),
-               libpimcommon-dev (>= 4:25.12.1~),
+               libkdepim-dev (>= 4:25.12.2~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6doctools-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6newstuff-dev (>= 6.6.0~),
+               libkf6sonnet-dev (>= 6.6.0~),
+               libkf6syntaxhighlighting-dev (>= 6.6.0~),
+               libkidentitymanagement-dev (>= 25.12.2~),
+               libkimap-dev (>= 25.12.2~),
+               libkmailtransport-dev (>= 25.12.2~),
+               libkmime-dev (>= 25.12.2~),
+               libktextaddons-dev (>= 1.5.4~),
+               libpimcommon-dev (>= 4:25.12.2~),
                libsasl2-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-webengine-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-webengine-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/libksieve
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksieve
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksieve.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksieve
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksieve
 Rules-Requires-Root: no
 
 Package: libksieve-data
@@ -53,9 +53,9 @@
 
 Package: libksieve-dev
 Section: libdevel
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 amd64v3 arm64 armhf i386
 Multi-Arch: same
-Depends: libkf6syntaxhighlighting-dev (>= 6.18.0~),
+Depends: libkf6syntaxhighlighting-dev (>= 6.6.0~),
          libkpim6kmanagesieve6 (= ${binary:Version}),
          libkpim6ksieve6 (= ${binary:Version}),
          libkpim6ksievecore6 (= ${binary:Version}),
@@ -70,7 +70,7 @@
 
 Package: libkpim6kmanagesieve6
 Provides: ${ABI:VirtualPackage},
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 amd64v3 arm64 armhf i386
 Multi-Arch: same
 Depends: libksieve-data (= ${source:Version}),
          ${misc:Depends},
@@ -85,7 +85,7 @@
 
 Package: libkpim6ksieve6
 Provides: ${ABI:VirtualPackage},
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 amd64v3 arm64 armhf i386
 Multi-Arch: same
 Depends: libksieve-data (= ${source:Version}),
          ${misc:Depends},
@@ -98,7 +98,7 @@
 
 Package: libkpim6ksievecore6
 Provides: ${ABI:VirtualPackage},
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 amd64v3 arm64 armhf i386
 Multi-Arch: same
 Depends: libksieve-data (= ${source:Version}),
          ${misc:Depends},
@@ -110,7 +110,7 @@
 
 Package: libkpim6ksieveui6
 Provides: ${ABI:VirtualPackage},
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 amd64v3 arm64 armhf i386
 Multi-Arch: same
 Depends: libksieve-data (= ${source:Version}),
          ${misc:Depends},
